#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 incremental-parser
version:              0.5.0.3
visibility:           public
id:                   incremental-parser-0.5.0.3-3LLcYquDub7EB0AMoPt1bp
key:                  incremental-parser-0.5.0.3-3LLcYquDub7EB0AMoPt1bp
license:              GPL-3.0-only
copyright:            (c) 2011-2018 Mario Blazevic
maintainer:           blamario@yahoo.com
author:               Mario Blazevic
homepage:             https://github.com/blamario/incremental-parser
synopsis:
    Generic parser library capable of providing partial results from partial input.

description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.

category:             Parsing
abi:                  e6fa4875a8bd7946ecf9d171b98abda5
exposed:              True
exposed-modules:
    Control.Applicative.Monoid Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric

import-dirs:          /usr/lib/ghc-9.0.2/site-local/incremental-parser-0.5.0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/incremental-parser-0.5.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-incremental-parser
hs-libraries:         HSincremental-parser-0.5.0.3-3LLcYquDub7EB0AMoPt1bp
depends:
    base-4.15.1.0 input-parsers-0.2.3.2-Czob9bxdgNuCJZxYZVtymL
    monoid-subclasses-1.1.3-E7dkrgJISCE4gqFem2QNR3
    parsers-0.12.11-Jixofn5K3XEID5eloKvqqk
    rank2classes-1.4.4-Jc0K93qmaJsGm1ztxPlsAX transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock

haddock-html:         /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

